API referenceSubnets
Subnet Hyperparameters History By Network
Last updated
Network-addressed form of the route above. mainnet/finney return the same data as the unprefixed path; testnet/test return testnet data.
Path Parameters
network*string
Network to address. mainnet and finney are the same network, as are testnet and test.
Value in
- "finney"
- "mainnet"
- "test"
- "testnet"
netuid*integer
Range
0 <= valueQuery Parameters
limit?integer
Range
1 <= value <= 1000offset?integer
Range
0 <= valuecursor?string
format?string
Response format override. Use csv to download the route rows as text/csv; json keeps the default response envelope.
Value in
- "json"
- "csv"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/finney/subnets/0/hyperparameters/history"{ "data": { "entries": [ { "hyperparams_hash": "a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1", "observed_at": "2026-06-01T00:00:00.000Z" } ], "entry_count": 1, "limit": 1, "netuid": 7, "next_cursor": "example", "offset": 1, "schema_version": 1 }, "meta": { "artifact_path": "example", "cache": "short", "contract_version": "2026-06-29.1", "generated_at": "2026-06-01T00:00:00.000Z", "pagination": { "collection": "example", "cursor": 1, "limit": 1, "next_cursor": 1, "order": "asc", "returned": 1, "sort": "example", "total": 1 }, "published_at": "2026-06-01T00:00:00.000Z", "source": "live-cron-prober", "stale_contract": { "built_under": "example", "live": "example" } }, "ok": true, "schema_version": 1}